###############################################################
Source9:   rc_module.def

%define RC_MODULE bash %{SOURCE9}
%define rc_ver          %(%{RC_MODULE} rc_ver)
%define rc_release_ver  %(%{RC_MODULE} rc_release_ver)
###############################################################

Version:   %{rc_ver}
Release:   %{rc_release_ver}

Name:      redcastle-manager
Summary:   RedCastle Java Manager 
Group:     System Environment/Base
License:   RedCastle License
Source0:   RedCastle3.tar.gz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%define __prefix_app_rc      $RPM_BUILD_ROOT/usr/share/redcastle
%define __prefix_app_desktop $RPM_BUILD_ROOT/usr/share/applications
%define __install_app_rc      /usr/share/redcastle
%define __install_app_desktop /usr/share/applications

PreReq(post): coreutils
PreReq(postun): coreutils

%description
* RedCastle Java Manager
This package provides GUI tool for handling RedCastle.

* RedCastle License to Asianux 3.0
RedCastle product is provided in two modules:
Basic module is free of charge for use and
Certain license fee will be charged for the Advanced module.


%prep


%setup -c
echo


%build


%install
cd RedCastle3
mkdir -p %{__prefix_app_rc}/manager
cp data-ax30/manager/icon_redcastle.png %{__prefix_app_rc}/manager
cp data-ax30/manager/RcManager.jar      %{__prefix_app_rc}/manager
cp data-ax30/manager/RcManager.sh       %{__prefix_app_rc}/manager
cp data-ax30/manager/RedCastle.desktop  %{__prefix_app_rc}/manager
chmod 555 %{__prefix_app_rc}/manager/RcManager.sh

mkdir -p %{__prefix_app_desktop}
cp data-ax30/manager/RedCastle.desktop %{__prefix_app_desktop}


%clean
rm -rf $RPM_BUILD_ROOT

%post
rm -f /usr/bin/set-sysconf-redcastle
ln -s /usr/share/redcastle/manager/RcManager.sh /usr/bin/set-sysconf-redcastle

%files
/usr/share/applications/RedCastle.desktop

/usr/share/redcastle/manager
/usr/share/redcastle/manager/icon_redcastle.png
/usr/share/redcastle/manager/RcManager.jar
/usr/share/redcastle/manager/RcManager.sh
/usr/share/redcastle/manager/RedCastle.desktop


%changelog
* Tue Jul 29 2008 scwon
- fix the bug 4648 ==> error when cancel register the security passwd for the first time

* Mon Mar 31 2008 Jooseok
- Modify TOE(RedCastle Basic Manager ==> RedCastle Java Manager)

* Wed Aug 15 2007 Kity Park 
- Replace check box by combo box in 'Authentication tab'.
- Correct and re-form messages.

* Wed Aug  1 2007 Kity Park 
- Separate basic manager parts from redcastle-app rpm.
- Move desktop icon to control panel.
- Fix the but 3288.
  Display agent daemon status and RedCastle operation status.
- Change manager execution method to use shell script.
- Display member information of ACL policy.
